JBossMailService (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.jboss.JBossMailService interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.jboss
Interface JBossMailService

All Superinterfaces:
  ConfigurationItem, J2EEResource, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, SoftwareResource

    public interface JBossMailService

extends J2EEResource

JBossMailService -

Naming Rules:
  0="domain,name" 1="server,name"
Persistable:
  true

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getDefaultSender()`
`java.lang.String` | `getJNDIName()`
`java.lang.String` | `getPOP3ServerHost()`
`java.lang.String` | `getSMTPServerHost()`
`java.lang.String` | `getStateString()`
`java.lang.String` | `getStoreProtocol()`
`java.lang.String` | `getTransportProtocol()`
`java.lang.String` | `getUser()`
`boolean` | `hasDefaultSender()`
`boolean` | `hasJNDIName()`
`boolean` | `hasPOP3ServerHost()`
`boolean` | `hasSMTPServerHost()`
`boolean` | `hasStateString()`
`boolean` | `hasStoreProtocol()`
`boolean` | `hasTransportProtocol()`
`boolean` | `hasUser()`
`void` | `setDefaultSender(java.lang.String sender)`
`void` | `setJNDIName(java.lang.String jndi)`
`void` | `setPOP3ServerHost(java.lang.String host)`
`void` | `setSMTPServerHost(java.lang.String host)`
`void` | `setStateString(java.lang.String state)`
`void` | `setStoreProtocol(java.lang.String protocol)`
`void` | `setTransportProtocol(java.lang.String protocol)`
`void` | `setUser(java.lang.String user)`

Methods inherited from interface com.collation.platform.model.topology.app.j2ee.J2EEResource
`getDomain, getServer, hasDomain, hasServer, setDomain, setServer`

Methods inherited from interface com.collation.platform.model.topology.app.SoftwareResource
`getName, getParent, hasName, hasParent, setName, setParent`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getStateString

    java.lang.String getStateString()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setStateString

    void setStateString(java.lang.String state)

### hasStateString

    boolean hasStateString()

### getDefaultSender

    java.lang.String getDefaultSender()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDefaultSender

    void setDefaultSender(java.lang.String sender)

### hasDefaultSender

    boolean hasDefaultSender()

### getTransportProtocol

    java.lang.String getTransportProtocol()
                                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setTransportProtocol

    void setTransportProtocol(java.lang.String protocol)

### hasTransportProtocol

    boolean hasTransportProtocol()

### getPOP3ServerHost

    java.lang.String getPOP3ServerHost()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setPOP3ServerHost

    void setPOP3ServerHost(java.lang.String host)

### hasPOP3ServerHost

    boolean hasPOP3ServerHost()

### getUser

    java.lang.String getUser()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setUser

    void setUser(java.lang.String user)

### hasUser

    boolean hasUser()

### getStoreProtocol

    java.lang.String getStoreProtocol()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setStoreProtocol

    void setStoreProtocol(java.lang.String protocol)

### hasStoreProtocol

    boolean hasStoreProtocol()

### getJNDIName

    java.lang.String getJNDIName()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setJNDIName

    void setJNDIName(java.lang.String jndi)

### hasJNDIName

    boolean hasJNDIName()

### getSMTPServerHost

    java.lang.String getSMTPServerHost()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSMTPServerHost

    void setSMTPServerHost(java.lang.String host)

### hasSMTPServerHost

    boolean hasSMTPServerHost()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD